locked
Which version of the HCK is required for submission? RRS feed

  • Question

  • Hi,

    I have two systems installed with HCK controllers. They have the same version of HCK Manager 2.0.9200 but different HCK build in Control Panel.

    1. One shows 8.59.25584 in Control Panel.

    2. One shows 8.59.29696 in Control Panel.

    Are both HCK versions valid to use for submission?

    Thanks

    Friday, October 12, 2012 11:35 PM

Answers

  • The general rule is you should always be using the latest version.  The 8.59.25584 version is a Beta.  Under any circumstances I'd upgrade to 8.59.29723 which is the latest QFE.


    Don Burn Windows Filesystem and Driver Consulting Website: http://www.windrvr.com Blog: http://msmvps.com/blogs/WinDrvr

    • Marked as answer by HLK Moderator Saturday, October 13, 2012 12:01 AM
    Friday, October 12, 2012 11:47 PM
  • I agree with Donald that testing on the latest is recommended. That said, the minimum version accepted right now is 8.59.8400.8400.

    At this time, builds won't require a full installation. They will patch existing builds against the minimum build.


    John -- This posting is provided "AS IS" with no warranties, and confers no rights.

    • Marked as answer by HLK Moderator Saturday, October 13, 2012 12:01 AM
    Saturday, October 13, 2012 12:01 AM

All replies

  • The general rule is you should always be using the latest version.  The 8.59.25584 version is a Beta.  Under any circumstances I'd upgrade to 8.59.29723 which is the latest QFE.


    Don Burn Windows Filesystem and Driver Consulting Website: http://www.windrvr.com Blog: http://msmvps.com/blogs/WinDrvr

    • Marked as answer by HLK Moderator Saturday, October 13, 2012 12:01 AM
    Friday, October 12, 2012 11:47 PM
  • Don,

    I already finished my testing with 8.59.29696 and ready to submit the log.  Does it mean that I will failed the submission with HCK 8.59.29696?

    As I understand, for every new version of HCK, I do need to do a fresh installation of Window 2008 R2 and install the new HCK or can I just upgrade directly from HCK 8.59.29696 to HCK 8.59.29723?

    Thanks

    Friday, October 12, 2012 11:56 PM
  • I agree with Donald that testing on the latest is recommended. That said, the minimum version accepted right now is 8.59.8400.8400.

    At this time, builds won't require a full installation. They will patch existing builds against the minimum build.


    John -- This posting is provided "AS IS" with no warranties, and confers no rights.

    • Marked as answer by HLK Moderator Saturday, October 13, 2012 12:01 AM
    Saturday, October 13, 2012 12:01 AM
  • I agree and will upgrade to latest version for future testing. 

    If the minimum version accepted right now is 8.59.8400.8400, build 8.59.25584 or build 8.59.29696 should be accepted for submission for now, right?

    Saturday, October 13, 2012 12:18 AM
  • Sorry for the confusion. Let me clarify. 8.59.8400.8400 is the HCK release from the Windows 8 RC release. Build 8.59.25584 is actually the HCK release from the Windows 8 RTM release (not beta). All the builds you noted are acceptable at this time. If you have not done so already, you should subscribe to or view the newsletter concerning upcoming changes to minimum builds - http://msdn.microsoft.com/en-us/windows/hardware/gg462957.aspx

    John -- This posting is provided "AS IS" with no warranties, and confers no rights.

    Monday, October 15, 2012 6:13 PM
  • The following was recently annonced in the WHQL newsletter.

    HCK 2.0 RTM release is required for submissions as of November 15

    The Windows Certification Program would like to remind our partners that starting November15, 2012, submissions to the Sysdev website must use the RTM version of the Windows Hardware Certification Kit 2.0 release. The HCK Release Preview is being retired on that date.

    Download Windows HCK 2.0 RTM

    This posting is provided "AS IS" with no warranties, and confers no rights.

    Monday, October 15, 2012 7:20 PM